package com.isu.gaswellwatch.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.isu.gaswellwatch.entity.UserOperationRecord;
import com.isu.gaswellwatch.vo.UserOperationRecordVO;
import jakarta.servlet.http.HttpServletResponse;

public interface UserOperationRecordService extends IService<UserOperationRecord> {

    void addOperationRecord(UserOperationRecord operationRecord);

    Page<UserOperationRecordVO> page(Integer currentPage, Integer pageSize, Integer type, String username, String nickname, Integer result, String startTime, String endTime);
    void export(HttpServletResponse response, Integer type, String username, String nickname, Integer result, String startTime, String endTime);

}
